RandomColorProvider (base API)
Date: 2019-04-05

com.twosigma.beakerx.chart.treemap.util

## Class RandomColorProvider

- java.lang.Object
- - com.twosigma.beakerx.chart.treemap.util.ColorProvider
  - - com.twosigma.beakerx.chart.treemap.util.RandomColorProvider

- All Implemented Interfaces:
    java.io.Serializable

      public class RandomColorProvider
      extends ColorProvider

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.twosigma.beakerx.chart.treemap.util.ColorProvider

      `maxValue, minValue, valueAccessor`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RandomColorProvider()`
    `RandomColorProvider(Color[] colours)`
    `RandomColorProvider(java.util.List<java.lang.Object> colors)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Color` | `getColor(net.sf.jtreemap.swing.TreeMapNode node)`
    `boolean` | `isGroupByParent()`
    `void` | `setGroupByParent(boolean groupByParent)`

    - ### Methods inherited from class com.twosigma.beakerx.chart.treemap.util.ColorProvider

      `getValue, setValues`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RandomColorProvider

          public RandomColorProvider()

    - #### RandomColorProvider

          public RandomColorProvider(Color[] colours)

    - #### RandomColorProvider

          public RandomColorProvider(java.util.List<java.lang.Object> colors)

  - ### Method Detail

    - #### getColor

          public Color getColor(net.sf.jtreemap.swing.TreeMapNode node)

      Specified by:
        `getColor` in class `ColorProvider`

    - #### isGroupByParent

          public boolean isGroupByParent()

    - #### setGroupByParent

          public void setGroupByParent(boolean groupByParent)